//
//  DatePickerViewController.h
//  DUREX Vendor Control
//
//  Created by Imanol Barba on 03/09/14.
//  Copyright (c) 2014 Emmoco. All rights reserved.
//

@class DatePickerViewController;

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>
#import "BTAppDelegate.h"
#import "ChildViewController.h"

@protocol DatePickerViewControllerDelegate <NSObject>
- (void)passDateViewController:(DatePickerViewController*)controller didFinishEnteringItem:(NSDate *)date;

@end

@interface DatePickerViewController : ChildViewController

@property (strong, nonatomic) IBOutlet UIView *datePickerView;
@property (strong, nonatomic) IBOutlet UIDatePicker *datePicker;
@property (nonatomic, strong) id <DatePickerViewControllerDelegate> delegate;

- (void) showInView:(UIView *)aView animated:(BOOL)animated;
- (IBAction) closePopup:(id)sender;

@end
